Eclipse Platform Release 3.7

## org.eclipse.swt.accessibility
Interface AccessibleEditableTextListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  AccessibleEditableTextAdapter

    public interface AccessibleEditableTextListener

extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide methods that handle AccessibleEditableText events.

After creating an instance of a class that implements this interface it can be added to an accessible using the `addAccessibleEditableTextListener` method and removed using the `removeAccessibleEditableTextListener` method.

Since:
  3.7
See Also:
  `AccessibleEditableTextAdapter`, `AccessibleEditableTextEvent`, `AccessibleTextAttributeEvent`

Method Summary
`void` `copyText(AccessibleEditableTextEvent e)` Copies the substring beginning at the specified `start` offset and extending to the character at offset `end - 1` to the clipboard.
`void` `cutText(AccessibleEditableTextEvent e)` Moves the substring beginning at the specified `start` offset and extending to the character at offset `end - 1` to the clipboard.
`void` `pasteText(AccessibleEditableTextEvent e)` Inserts the text in the clipboard at the leading edge of the specified `start` offset.
`void` `replaceText(AccessibleEditableTextEvent e)` Replaces the substring beginning at the specified `start` offset and extending to the character at offset `end - 1` by the specified string.
`void` `setTextAttributes(AccessibleTextAttributeEvent e)` Replaces the set of attributes of the substring beginning at the specified `start` offset and extending to the character at offset `end - 1` by the specified set of attributes.

Method Detail

### copyText

    void copyText(AccessibleEditableTextEvent e)

  Copies the substring beginning at the specified `start` offset and extending to the character at offset `end - 1` to the clipboard.

  Parameters:
    `e` - an event object containing the following information:
    - [in] start - the 0 based offset of the first character of the substring to be copied to the clipboard
    - [in] end - the 0 based offset after the last character of the substring to be copied to the clipboard
    - [out] result - set to `ACC.OK` if the operation was completed successfully

### cutText

    void cutText(AccessibleEditableTextEvent e)

  Moves the substring beginning at the specified `start` offset and extending to the character at offset `end - 1` to the clipboard.

  Parameters:
    `e` - an event object containing the following information:
    - [in] start - the 0 based offset of the first character of the substring to be moved to the clipboard
    - [in] end - the 0 based offset after the last character of the substring to be moved to the clipboard
    - [out] result - set to `ACC.OK` if the operation was completed successfully

### pasteText

    void pasteText(AccessibleEditableTextEvent e)

  Inserts the text in the clipboard at the leading edge of the specified `start` offset.

  Parameters:
    `e` - an event object containing the following information:
    - [in] start - the offset at which to insert the text from the clipboard. The valid range is 0..length
    - [out] result - set to `ACC.OK` if the operation was completed successfully

### replaceText

    void replaceText(AccessibleEditableTextEvent e)

  Replaces the substring beginning at the specified `start` offset and extending to the character at offset `end - 1` by the specified string.

  This event notification is also used to delete text if `string` is an empty string, or to insert text at the leading edge of the specified offset if `start` and `end` are equal.

  Parameters:
    `e` - an event object containing the following information:
    - [in] start - the 0 based offset of the first character of the substring to be replaced
    - [in] end - the 0 based offset after the last character of the substring to be replaced
    - [in] string - the string that replaces the substring beginning at `start` and extending to `end - 1`
    - [out] result - set to `ACC.OK` if the operation was completed successfully

### setTextAttributes

    void setTextAttributes(AccessibleTextAttributeEvent e)

  Replaces the set of attributes of the substring beginning at the specified `start` offset and extending to the character at offset `end - 1` by the specified set of attributes.

  Parameters:
    `e` - an event object containing the following information:
    - [in] start - the 0 based offset of the first character of the substring whose attributes are modified
    - [in] end - the 0 based offset after the last character of the substring whose attributes are modified
    - [in] textStyle - the TextStyle which contains attributes that replace the old set of attributes. The foreground, background, and font fields of this TextStyle are only valid for the duration of the event. The value of this field may be null if none of the attributes to be set correspond to TextStyle fields.
    - [in] attributes - an array of alternating key and value Strings that represent the complete set of attributes to replace the old set of attributes. The value of this field may be null if no attributes are to be set.
    - [out] result - set to `ACC.OK` if the operation was completed successfully

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.